Package bitel.billing.server.call.bean

# Class ReportUtils

java.lang.Object
bitel.billing.server.call.bean.ReportUtils

Direct Known Subclasses:
  `DialUpReportUtils`, `VoiceIpReportUtils`

public abstract class ReportUtils extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Connection`
  `con`
  `protected LoginManager`
  `loginManager`
  `protected int`
  `mid`
  `protected Preferences`
  `moduleSetup`
  `protected int`
  `unit`
  `protected int`
  `unit_scale`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReportUtils(Connection con, int mid, Preferences moduleSetup)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract void`
  `addLoginsAmounts(Period period, int cid, Map<String,Object> dataMap, String module, String filter)`
  `abstract void`
  `addLoginsAmounts(Period period, int cid, Element data, String module, String filter)`
  `void`
  `addSessions(ResultSet rs, Element data)`
  `void`
  `addSessions(Element sessions, List<Integer> lids, Period period, boolean break_on_pages, Page page, String columns, String filter)`
  `abstract int`
  `addSums(Element data, List<Integer> lids, Period period, String filter)`
  `LoginManager`
  `getLoginManager()`
  `static ReportUtils`
  `getReportUtils(String module, Connection con, int mid, ModuleSetup moduleSetup)`
  `List<Object>`
  `getSessionsColSumTimeTinTout(int lid, Period period, String filter)`
  `List<Object>`
  `getSessionsColSumTimeTinTout(List<Integer> lids, Period period, String filter)`
  `protected String`
  `getSessionTableName(int year, int month)`
  `PreparedStatement`
  `selectSomethingFromSessions(int lid, Period period, String whatSelect, String filter, String group, String order, String limits)`
  Получение информации из сессий.
  `PreparedStatement`
  `selectSomethingFromSessions(List<Integer> lids, Period period, String whatSelect, String filter, String group, String order, String limits)`
  Получение информации из сессий.
  `ResultSet`
  `selectSomthFromSessions(int lid, Period period, String whatSelect, String filter, String group, String order, String limits)`
  Deprecated.
  `ResultSet`
  `selectSomthFromSessions(List<Integer> lids, Period period, String whatSelect, String filter, String group, String order, String limits)`
  Deprecated.
  `void`
  `setUnit(int unit)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### con

    protected Connection con

  - ### mid

    protected int mid

  - ### moduleSetup

    protected Preferences moduleSetup

  - ### loginManager

    protected LoginManager loginManager

  - ### unit

    protected int unit

  - ### unit_scale

    protected int unit_scale

- ## Constructor Details

  - ### ReportUtils

    public ReportUtils(Connection con, int mid, Preferences moduleSetup)

- ## Method Details

  - ### getReportUtils

    public static ReportUtils getReportUtils(String module, Connection con, int mid, ModuleSetup moduleSetup)

  - ### setUnit

    public void setUnit(int unit)

  - ### getLoginManager

    public LoginManager getLoginManager()

  - ### selectSomethingFromSessions

    public PreparedStatement selectSomethingFromSessions(int lid, Period period, String whatSelect, String filter, String group, String order, String limits)
    Получение информации из сессий.
    Parameters:
      `lid` -
      `period` - период
      `whatSelect` - какие параметры необходимо получить через запятую
      `filter` -
      `group` -
      `order` -
      `limits` -
    Returns:

  - ### selectSomthFromSessions

    @Deprecated public ResultSet selectSomthFromSessions(int lid, Period period, String whatSelect, String filter, String group, String order, String limits)
    Deprecated.
    Использование данного метода крайне нежелательно, т.к. возможна утечка ресурсов и снижение производительности. Вместо данного метода рекомендуется использовать `selectSomethingFromSessions(int, Period, String, String, String, String, String)`
    Parameters:
      `lid` -
      `period` -
      `whatSelect` -
      `filter` -
      `group` -
      `order` -
      `limits` -
    Returns:

  - ### selectSomethingFromSessions

    public PreparedStatement selectSomethingFromSessions(List<Integer> lids, Period period, String whatSelect, String filter, String group, String order, String limits)
    Получение информации из сессий.
    Parameters:
      `lid` -
      `period` - период
      `whatSelect` - какие параметры необходимо получить через запятую
      `filter` -
      `group` -
      `order` -
      `limits` -
    Returns:

  - ### selectSomthFromSessions

    @Deprecated public ResultSet selectSomthFromSessions(List<Integer> lids, Period period, String whatSelect, String filter, String group, String order, String limits)
    Deprecated.
    Использование данного метода крайне нежелательно, т.к. возможна утечка ресурсов и снижение производительности. Вместо данного метода рекомендуется использовать `selectSomethingFromSessions(List, Period, String, String, String, String, String)`
    Parameters:
      `lids` -
      `period` -
      `whatSelect` -
      `filter` -
      `group` -
      `order` -
      `limits` -
    Returns:

  - ### getSessionTableName

    protected String getSessionTableName(int year, int month)

  - ### getSessionsColSumTimeTinTout

    public List<Object> getSessionsColSumTimeTinTout(int lid, Period period, String filter) throws SQLException
    Throws:
      `SQLException`

  - ### getSessionsColSumTimeTinTout

    public List<Object> getSessionsColSumTimeTinTout(List<Integer> lids, Period period, String filter) throws SQLException
    Throws:
      `SQLException`

  - ### addSessions

    public void addSessions(Element sessions, List<Integer> lids, Period period, boolean break_on_pages, Page page, String columns, String filter)

  - ### addLoginsAmounts

    public abstract void addLoginsAmounts(Period period, int cid, Element data, String module, String filter) throws SQLException
    Throws:
      `SQLException`

  - ### addSums

    public abstract int addSums(Element data, List<Integer> lids, Period period, String filter) throws SQLException
    Throws:
      `SQLException`

  - ### addSessions

    public void addSessions(ResultSet rs, Element data)

  - ### addLoginsAmounts

    public abstract void addLoginsAmounts(Period period, int cid, Map<String,Object> dataMap, String module, String filter) throws SQLException
    Throws:
      `SQLException`